> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> Retrieves a list of all accounts



## OpenAPI

````yaml /openapi.yaml get /account/list
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /account/list:
    get:
      tags:
        - accounts
      summary: List accounts
      description: Retrieves a list of all accounts
      operationId: listAccounts
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Account'
                required:
                  - data
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    Account:
      type: object
      example:
        id: account_WsELzpJOvU6fNafvzWbF6K
        type: settlement
        name: Settlement Account
        created_at: '2023-05-24T20:15:18.158Z'
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        type:
          type: string
          description: The type of account
          enum:
            - settlement
            - dispute
          x-enumDescriptions:
            settlement: >-
              The settlement balance will receive funds from settled intents and
              will be available for withdrawal subject to the Push Cash minimum
              balance requirement.
            dispute: >-
              The dispute balance tracks the sum of all outstanding disputes. If
              you have not received a dispute, the account may not exist.
        name:
          type: string
          description: The name of the account
        created_at:
          type: string
          format: date-time
          description: When the account was created (ISO 8061 date string)
      required:
        - id
        - type
        - name
        - created_at
    error:
      description: Description of the error encountered from the API request
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````